Unable to install RH-SSO from RPM on RHEL 8 - unable to install jna

Solution Verified - Updated -

Issue

  • Getting the following error:

    # dnf groupinstall rh-sso7
    Updating Subscription Management repositories.
    Last metadata expiration check: 0:21:08 ago on Tue 25 Jun 2019 11:01:44 AM CEST.
    Error:
     Problem: cannot install the best candidate for the job
      - nothing provides jna needed by rh-sso7-keycloak-server-4.8.8-1.Final_redhat_00001.1.el8sso.noarch
    (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
    

Environment

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In